ubuntu-vm-builder can't set ssh authorized keys

Bug #553470 reported by Hadmut Danisch

This bug report was converted into a question: question #106272: ubuntu-vm-builder can't set ssh authorized keys.

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-vm-builder (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ubuntu-vm-builder

Hi,

if I call ubuntu-vm-builder with

ubuntu-vm-builder kvm karmic --cpus=1 --arch=i386 --mem=512 --suite=karmic ... --ssh-key=/root/.ssh/authorized_keys --ssh-user-key=/root/.ssh/authorized_keys ...

I get the error message

Traceback (most recent call last):
  File "/usr/bin/ubuntu-vm-builder", line 28, in <module>
    VMBuilder.run()
  File "/usr/lib/python2.6/dist-packages/VMBuilder/__init__.py", line 65, in run
    frontend.run()
  File "/usr/lib/python2.6/dist-packages/VMBuilder/plugins/cli/__init__.py", line 68, in run
    vm.create()
  File "/usr/lib/python2.6/dist-packages/VMBuilder/vm.py", line 484, in create
    self.install()
  File "/usr/lib/python2.6/dist-packages/VMBuilder/vm.py", line 407, in install
    self.distro.install(self.installdir)
  File "/usr/lib/python2.6/dist-packages/VMBuilder/plugins/ubuntu/distro.py", line 148, in install
    self.suite.install(destdir)
  File "/usr/lib/python2.6/dist-packages/VMBuilder/plugins/ubuntu/dapper.py", line 100, in install
    self.install_authorized_keys()
  File "/usr/lib/python2.6/dist-packages/VMBuilder/plugins/ubuntu/dapper.py", line 150, in install_authorized_keys
    self.run_in_target('chown', '-R', '%s:%s' % (self.vm.user,)*2, '/home/%s/.ssh/' % (self.vm.user))
TypeError: not enough arguments for format string

BTW: Why does ist use plugins/ubuntu/dapper.py ?

regards
Hadmut

ProblemType: Bug
Architecture: amd64
Date: Thu Apr 1 20:09:29 2010
DistroRelease: Ubuntu 9.10
Package: ubuntu-vm-builder 0.11.3-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/tcsh
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
SourcePackage: vm-builder
Uname: Linux 2.6.31-17-generic x86_64
XsessionErrors:
 (gnome-settings-daemon:3643): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:3643): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:3692): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:3704): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Revision history for this message
Hadmut Danisch (hadmut) wrote :
Revision history for this message
Nick Barcet (nijaba) wrote :

Change this bug into a question as it needs more an explanation than fixing.

Changed in ubuntu-vm-builder (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions